/*
 * exp.h -- expansions (addons)
 *
 * $Id: exp.h,v 0.7 2003/12/25 23:27:23 [Xp-AvR] exp $
 */

#ifndef _EVANGELINE_EXP_H
#define _EVANGELINE_EXP_H

void setCryptKeys();

#ifdef PTRACE_DEBUG
void ptraceAdebug(void);
#endif

void initModule(char *);

/* Checking functions */
int checkTclString(char *);
int checkConfigString(char *);

/* Encryption ;) */
int efprintf(FILE *, char *, char *, ...);
void doRot(int, int, char *);

char *getMd5ControlSum(char *);
/* Crc checking */
//long getFileCrc(char *);
void generateFileCrc(char *, int);
void checkFileCrc(char *, int);

/* Decrypt userfile */
int decryptUserfile(char *, int);
int decryptFile(char *, char *);
void exportUserfile();

/* Colours */
#define WHITE "[0m"
#define WHITES "[1;1m"
#define GRAYS "[1;30m"
#define REDS "[1;31m"
#define GREENS "[1;32m"
#define YELLOWS "[1;33m"
#define VIOLET "[35m"
#define BLUE "[34m"
#define RED "[31m"

#endif		/* _EVANGELINE_EXP_H */
